#include <bits/stdc++.h>

using namespace std;

struct slog{
  double zarada,procenat;

};

int brojfrekova;
slog frekovi[30];

bool cmp(slog a, slog b){
  if(a.procenat>b.procenat)return true;
return false;


         }

int main(){
  cin >> brojfrekova;
  for (int i=1; i<=brojfrekova; i++){
    cin >> frekovi[i].zarada;
    cin >> frekovi[i].procenat;

  }

  sort(frekovi+1, frekovi+brojfrekova+1, cmp);

  double suma=0,br=-9999;
   for (int i=1; i<=brojfrekova; i++){
     suma=suma+frekovi[i].zarada;
    br=max(suma*frekovi[i].procenat,br);

  }
cout<<fixed<<setprecision(2)<<br<<endl;
/*
  for (int i=1; i<=brojfrekova; i++){
    cout << frekovi[i].zarada << " ";
    cout << frekovi[i].procenat << "\n";

  }
*/
  return 0;
}